> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.upwardli.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.upwardli.com/_mcp/server.

# List Payment Card Earned Rewards V 2

GET https://api.upwardli.com/v2/payment-cards/{payment_card_id}/earned-rewards/



Reference: https://developers.upwardli.com/api-access/api-reference/payment-cards/list-payment-card-earned-rewards-v-2

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.upwardli.com` (Production, default)
- `https://api-sandbox.upwardli.com` (Sandbox)

## Request

### Path parameters

- `payment_card_id` (string, required)

### Query parameters

- `page` (integer, optional) — A page number within the paginated result set.
- `page_size` (integer, optional) — Number of results to return per page.

## Response

### 200

- `count` (integer, required)
- `results` (list of EarnedReward, required)
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)
- `summary` (V2PaymentCardsPaymentCardIdEarnedRewardsGetResponsesContentApplicationJsonSchemaSummary, optional)

## Types

### EarnedReward

- `id` (string, required)
- `transaction_id` (string, required, nullable)
- `merchant_name` (string, required)
- `transaction_amount_cents` (integer, required, nullable)
- `reward_amount_cents` (integer, required, nullable)
- `status` (enum, required)
  - Allowed values: `PENDING_RECONCILIATION`, `RECONCILED_PENDING_PAYMENT`, `ELIGIBLE_FOR_PAYOUT`, `PAID`, `PAYOUT_FAILED`
- `transaction_timestamp` (string, required, nullable)
- `paid_at` (string, required, nullable)

### V2PaymentCardsPaymentCardIdEarnedRewardsGetResponsesContentApplicationJsonSchemaSummary

- `posted` (V2PaymentCardsPaymentCardIdEarnedRewardsGetResponsesContentApplicationJsonSchemaSummaryPosted, optional)
- `pending` (V2PaymentCardsPaymentCardIdEarnedRewardsGetResponsesContentApplicationJsonSchemaSummaryPending, optional)
- `next_payout_estimate` (string, optional)

### V2PaymentCardsPaymentCardIdEarnedRewardsGetResponsesContentApplicationJsonSchemaSummaryPosted

- `count` (integer, optional)
- `amount_cents` (integer, optional)

### V2PaymentCardsPaymentCardIdEarnedRewardsGetResponsesContentApplicationJsonSchemaSummaryPending

- `count` (integer, optional)
- `amount_cents` (integer, optional)

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "transaction_id": "string",
      "merchant_name": "string",
      "transaction_amount_cents": 1,
      "reward_amount_cents": 1,
      "status": "PENDING_RECONCILIATION",
      "transaction_timestamp": "2024-01-15T09:30:00Z",
      "paid_at": "2024-01-15T09:30:00Z"
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "summary": {
    "posted": {
      "count": 1,
      "amount_cents": 1
    },
    "pending": {
      "count": 1,
      "amount_cents": 1
    },
    "next_payout_estimate": "2023-01-15"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.upwardli.com/v2/payment-cards/payment_card_id/earned-rewards/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```